Bug 246553 - net/ntpsec: mark CONFLICTS with other ntpd implementations
Summary: net/ntpsec: mark CONFLICTS with other ntpd implementations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-18 19:59 UTC by Christian Weisgerber
Modified: 2020-08-17 06:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Add CONFLICTS (550 bytes, patch)
2020-05-18 19:59 UTC, Christian Weisgerber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weisgerber freebsd_committer 2020-05-18 19:59:39 UTC
Created attachment 214608 [details]
Add CONFLICTS

Several other ports also install sbin/ntpd (net/ntp, net/ntp-devel, net/openntpd). The corresponding CONFLICTS need to be added to net/ntpsec. Patch attached.
Comment 1 Yuri Victorovich freebsd_committer 2020-05-19 00:45:07 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2020-05-19 00:46:03 UTC
A commit references this bug:

Author: yuri
Date: Tue May 19 00:45:02 UTC 2020
New revision: 535797
URL: https://svnweb.freebsd.org/changeset/ports/535797

Log:
  net/ntpsec: Add CONFLICTS between net/{ntp,ntp-devel,openntpd,ntpsec} because they all install sbin/ntpd

  Also remove -* for versions because this isn't needed.

  PR:		246553
  Reported by:	naddy
  Approved by:	portmgr (port compliance, infrastructure)

Changes:
  head/net/ntp/Makefile
  head/net/ntp-devel/Makefile
  head/net/ntpsec/Makefile
  head/net/openntpd/Makefile
Comment 3 Cy Schubert freebsd_committer 2020-05-19 17:50:47 UTC
MFH please.
Comment 4 Automation User 2020-06-03 00:07:16 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/152189030
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2020-08-17 06:45:17 UTC
MFH is now OBE.